Mailinglist Archive: opensuse-security-announce (49 mails)

< Previous Next >
[security-announce] openSUSE-SU-2020:0553-1: moderate: Security update for freeradius-server
openSUSE Security Update: Security update for freeradius-server
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0553-1
Rating: moderate
References: #1144524 #1146848 #1166847
Cross-References: CVE-2019-13456 CVE-2019-17185
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that solves two vulnerabilities and has one
errata is now available.

Description:

This update for freeradius-server fixes the following issues:

- CVE-2019-13456: Fixed a side-channel password leak in EAP-pwd
(bsc#1144524).
- CVE-2019-17185: Fixed a debial of service due to multithreaded BN_CTX
access (bsc#1166847).
- Fixed an issue in TLS-EAP where the OCSP verification, when an
intermediate client certificate was not explicitly trusted (bsc#1146848).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-553=1



Package List:

- openSUSE Leap 15.1 (x86_64):

freeradius-server-3.0.16-lp151.4.4.1
freeradius-server-debuginfo-3.0.16-lp151.4.4.1
freeradius-server-debugsource-3.0.16-lp151.4.4.1
freeradius-server-devel-3.0.16-lp151.4.4.1
freeradius-server-doc-3.0.16-lp151.4.4.1
freeradius-server-krb5-3.0.16-lp151.4.4.1
freeradius-server-krb5-debuginfo-3.0.16-lp151.4.4.1
freeradius-server-ldap-3.0.16-lp151.4.4.1
freeradius-server-ldap-debuginfo-3.0.16-lp151.4.4.1
freeradius-server-libs-3.0.16-lp151.4.4.1
freeradius-server-libs-debuginfo-3.0.16-lp151.4.4.1
freeradius-server-mysql-3.0.16-lp151.4.4.1
freeradius-server-mysql-debuginfo-3.0.16-lp151.4.4.1
freeradius-server-perl-3.0.16-lp151.4.4.1
freeradius-server-perl-debuginfo-3.0.16-lp151.4.4.1
freeradius-server-postgresql-3.0.16-lp151.4.4.1
freeradius-server-postgresql-debuginfo-3.0.16-lp151.4.4.1
freeradius-server-python-3.0.16-lp151.4.4.1
freeradius-server-python-debuginfo-3.0.16-lp151.4.4.1
freeradius-server-sqlite-3.0.16-lp151.4.4.1
freeradius-server-sqlite-debuginfo-3.0.16-lp151.4.4.1
freeradius-server-utils-3.0.16-lp151.4.4.1
freeradius-server-utils-debuginfo-3.0.16-lp151.4.4.1


References:

https://www.suse.com/security/cve/CVE-2019-13456.html
https://www.suse.com/security/cve/CVE-2019-17185.html
https://bugzilla.suse.com/1144524
https://bugzilla.suse.com/1146848
https://bugzilla.suse.com/1166847

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages